# DataGridViewRowsRemovedEventArgs

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Provides data for the [RowsRemoved](/api/wisej.web/lists-and-grids/datagridview.md#rowsremoved) event.

{% tabs %}
{% tab title="C#" %}

```csharp
public class DataGridViewRowsRemovedEventArgs : EventArgs
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class DataGridViewRowsRemovedEventArgs
    Inherits EventArgs
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) DataGridViewRowsRemovedEventArgs(rowIndex, rowCount)

Initializes a new instance of the [DataGridViewRowsRemovedEventArgs](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewrowsremovedeventargs.md) class.

| Name         | Type                                                        | Description                                                                                               |
| ------------ | ----------------------------------------------------------- | --------------------------------------------------------------------------------------------------------- |
| **rowIndex** | [Int32](https://docs.microsoft.com/dotnet/api/system.int32) | The zero-based index of the row that was deleted, or the first deleted row if multiple rows were deleted. |
| **rowCount** | [Int32](https://docs.microsoft.com/dotnet/api/system.int32) | The number of rows that were deleted.                                                                     |

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) RowCount

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns the number of rows that were deleted.

### ![](/files/hsR4ok3152WyAf8J2C1u) RowIndex

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns the zero-based index of the row deleted, or the first deleted row if multiple rows were deleted.

## Used By

| Name                                                                                                                                | Description                                                                                                                                                                                     |
| ----------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [DataGridViewRowsRemovedEventHandler](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewrowsremovedeventhandler.md) | Represents the method that will handle the [RowsRemoved](/api/wisej.web/lists-and-grids/datagridview.md#rowsremoved) event of a [DataGridView](/api/wisej.web/lists-and-grids/datagridview.md). |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewrowsremovedeventargs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
